libgtest0-1.8.1-alt1.i586.rpm


Advertisement

Description

libgtest0 - Google's framework for writing C++ tests

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libgtest0-1.8.1-alt1.i586.rpm
Package name libgtest0
Package version 1.8.1
Package release alt1
Package architecture i586
Package type rpm
Category Development/C++
Homepage -
License -
Maintainer -
Download size 369.80 KB
Installed size 369.80 KB
Google's framework for writing C++ tests on a variety of platforms
(Linux, Mac OS X, Windows, Cygwin, Windows CE, and Symbian). Based on
the xUnit architecture. Supports automatic test discovery, a rich set of
assertions, user-defined assertions, death tests, fatal and non-fatal
failures, value- and type-parameterized tests, various options for
running the tests, and XML test report generation.

Alternatives

Package Version Architecture Repository
libgtest0-1.8.1-alt1.x86_64.rpm 1.8.1 x86_64 Classic
libgtest0 - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.0) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rpmlib(PayloadIsLzma) -
rtld(GNU_HASH) -
rtld(GNU_UNIQUE) -

Provides

Name Value
libgtest -
libgtest.so.0 -
libgtest0 = 1.8.1-alt1:sisyphus+220023.100.1.1
libgtest_main.so.0 -

Obsoletes

Name Value
libgtest <= 1.7.0

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libgtest0-1.8.1-alt1.i586.rpm
Source Package googletest-1.8.1-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libgtest0 rpm package:
    # sudo apt-get install libgtest0

Files

Path
/usr/lib/libgtest.so.0
/usr/lib/libgtest.so.1.8.1
/usr/lib/libgtest_main.so.0
/usr/lib/libgtest_main.so.1.8.1
/usr/share/doc/libgtest0-1.8.1/CHANGES
/usr/share/doc/libgtest0-1.8.1/CONTRIBUTORS
/usr/share/doc/libgtest0-1.8.1/LICENSE

Changelog

2019-01-26 - Nazarov Denis <nenderus@altlinux.org> 1.8.1-alt1
- Version 1.8.1 (ALT #35575)
2019-01-18 - Leontiy Volodin <lvol@altlinux.org> 1.8.0-alt6
- Removed ubt macros
2019-01-15 - Leontiy Volodin <lvol@altlinux.org> 1.8.0-alt5
- Fixed ubt macros in spec
2018-05-02 - Nazarov Denis <nenderus@altlinux.org> 1.8.0-alt4
- Change URL (ALT #34874)
2018-04-05 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.8.0-alt3
- fix packaging on 64bit arches other than x86_64
2017-04-18 - Nazarov Denis <nenderus@altlinux.org> 1.8.0-alt1.M80P.1
- Build for branch p8
2017-04-06 - Nazarov Denis <nenderus@altlinux.org> 1.8.0-alt2
- Add soname
- Add gtest-config
2017-04-05 - Nazarov Denis <nenderus@altlinux.org> 1.8.0-alt1
- Version 1.8.0
2015-06-16 - Gleb F-Malinovskiy <glebfm@altlinux.org> 1.7.0-alt1.1
- Rebuilt for gcc5 C++11 ABI.
2013-10-15 - Fr. Br. George <george@altlinux.ru> 1.7.0-alt1
- Autobuild version bump to 1.7.0

See Also

Package Description
libgtextutils-0.7-alt1_22.i586.rpm Assaf Gordon text utilities
libgtextutils-devel-0.7-alt1_22.i586.rpm Development files for libgtextutils
libgtk+2-2.24.32-alt3.i586.rpm The GIMP ToolKit (GTK+), a library for creating GUIs
libgtk+2-devel-2.24.32-alt3.i586.rpm Development files and tools for GTK+ applications
libgtk+2-gir-2.24.32-alt3.i586.rpm GObject introspection data for the GTK+ library
libgtk+3-3.24.12-alt1.i586.rpm The GIMP ToolKit (GTK+)
libgtk+3-devel-3.24.12-alt1.i586.rpm Development files and tools for GTK+ applications
libgtk+3-gir-3.24.12-alt1.i586.rpm GObject introspection data for the GTK+ library
libgtk+3-tests-3.24.12-alt1.i586.rpm Tests for the GTK+3 packages
libgtk+extra2-2.1.2-alt3.i586.rpm GtkExtra Widget Set
libgtk+extra2-devel-2.1.2-alt3.i586.rpm GtkExtra Widget Set header files
libgtk-engine-anachron-0.1-alt1.qa2.i586.rpm Anachron GTK2 engine
libgtk-engine-aurora-1.5.1-alt1.2.i586.rpm Aurora GTK2 engine
libgtk-engine-candido-0.9.1-alt1.1.qa1.i586.rpm Candido GTK2 engine
libgtk-engine-dyndyn-0.1-alt1.1.qa1.i586.rpm DynDyn GTK2 engine
Advertisement
Advertisement